Partially update support contingent
Partially updates an existing support contingent. Only provided fields will be updated.
Optional fields (update only what you need):
title: Update titlefromDate: Update start datetoDate: Update end datefrequency: Update frequencyprice: Update pricehours: Update hourstransferable: Update transferability
Note: Fields not included in the request will remain unchanged.
PATCH
/administration/project-settings/support-contingents/{id}Authorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredRequest body
requiredapplication/jsonfrequencynumberFrequency in months for the contingent period
fromDatestringStart date of the contingent period (ISO 8601 date format)
hoursnumberTotal hours allocated for the contingent period
pricenumberTotal price for the contingent period
titlestringTitle or name of the support contingent plan
toDatestringEnd date of the contingent period (ISO 8601 date format)
transferablebooleanWhether unused hours can be transferred to the next period
Responses
200Support contingent updated successfully
successbooleanrequiredOperation success flag
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X PATCH "https://leadtime.app/api/public/administration/project-settings/support-contingents/string" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"frequency": 12,
"fromDate": "2025-01-01",
"hours": 120,
"price": 10000,
"title": "Maintenance flatrate",
"toDate": "2025-12-31",
"transferable": false
}'const response = await fetch("https://leadtime.app/api/public/administration/project-settings/support-contingents/string", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"frequency": 12,
"fromDate": "2025-01-01",
"hours": 120,
"price": 10000,
"title": "Maintenance flatrate",
"toDate": "2025-12-31",
"transferable": false
})
});import requests
response = requests.patch(
"https://leadtime.app/api/public/administration/project-settings/support-contingents/string",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
json={
"frequency": 12,
"fromDate": "2025-01-01",
"hours": 120,
"price": 10000,
"title": "Maintenance flatrate",
"toDate": "2025-12-31",
"transferable": False
},
)Response
{
"success": true
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions